<?php
if (!defined('ABSPATH')) {
    exit;
}

$arrPaginacao = $args['paginacao'];
$total_encontrado = $arrPaginacao['total_results'];
?>


<script>

    function setView(val) {
        insertParam2('view', val);
    }

    function setLimit(val) {
        insertParam2('total', val);
    }

    function setOrder(val) {
        insertParam2('orderby', val);
    }


    function insertParam2(key, value) {
        key = encodeURIComponent(key);
        value = encodeURIComponent(value);

        // kvp looks like ['key1=value1', 'key2=value2', ...]
        var kvp = document.location.search.substr(1).split('&');
        let i = 0;

        for (; i < kvp.length; i++) {
            if (kvp[i].startsWith(key + '=')) {
                let pair = kvp[i].split('=');
                pair[1] = value;
                kvp[i] = pair.join('=');
                break;
            }
        }

        if (i >= kvp.length) {
            kvp[kvp.length] = [key, value].join('=');
        }

        // can return this or...
        let params = kvp.join('&');

        // reload page with new params
        document.location.search = params;
    }


</script>

<?php
$total = $_REQUEST['total'] ?? 12;


if ($total == '999') {
    $total = 'Todos';
} else {
    $total = $total . ' Itens';
}

$ordenacao = $_GET['orderby'] ?? 'order_destaque_desc';
$ordenacao_desc = 'Ordenar por popularidade';

if ($ordenacao == 'order_destaque_desc') {
    $ordenacao_desc = 'Ordenar por popularidade';
}

if ($ordenacao == 'order_preco_desc') {
    $ordenacao_desc = 'Preço: Maior para o menor';
}

if ($ordenacao == 'order_preco_asc') {
    $ordenacao_desc = 'Preço: Menor para o maior';
}

if ($ordenacao == 'order_ano_desc') {
    $ordenacao_desc = 'Ano: Maior para o menor';
}
if ($ordenacao == 'order_ano_asc') {
    $ordenacao_desc = 'Ano: Menor para o maior';
}

if ($ordenacao == 'mais_recentes') {
    $ordenacao_desc = 'Ordenar por mais recentes';
}

?>
<div class="sorting">

    <div class="sorting__inner">
        <div class="sorting__item hidden-xs">
            <span class="sorting__title">Visualização:</span>
            <button class="btn_view" onclick="setView('lista')" class="btn"><i class="fa fa-list"></i></button>
            <button class="btn_view" onclick="setView('block')" class="btn"><i class="fas fa-th"></i></button>
        </div>
        <div class="sorting__item">
            <span class="sorting__title">Itens de exibição</span>
            <div class="select jelect">
                <input id="page" name="page" value="0" data-text="imagemin" type="text" class="jelect-input">
                <div tabindex="0" role="button" class="jelect-current"><?= $total ?></div>
                <ul class="jelect-options">
                    <li class="jelect-option jelect-option_state_active" onclick="setLimit(12)">12 Itens</li>
                    <li class="jelect-option" onclick="setLimit(24)">24 Itens</li>
                    <li class="jelect-option" onclick="setLimit(36)">36 Itens</li>
                    <li class="jelect-option" onclick="setLimit(999)">Todos</li>
                </ul>
            </div>
        </div>
        <div class="sorting__item">
            <span class="sorting__title">Ordenação</span>
            <div class="select jelect">
                <input id="sort" name="sort" value="0" data-text="imagemin" type="text" class="jelect-input">
                <div tabindex="0" role="button" class="jelect-current">
                    <?= $ordenacao_desc ?>
                </div>
                <ul class="jelect-options">
                    <li class="jelect-option <?=$ordenacao=='order_destaque_desc'?'jelect-option_state_active':''?>" onclick="setOrder('order_destaque_desc')">
                        Ordenar por popularidade
                    </li>
                    <li class="jelect-option <?=$ordenacao=='order_preco_desc'?'jelect-option_state_active':''?>" onclick="setOrder('order_preco_desc')">Preço: Maior para o menor</li>
                    <li class="jelect-option <?=$ordenacao=='order_preco_asc'?'jelect-option_state_active':''?>" onclick="setOrder('order_preco_asc')">Preço: Menor para o maior</li>
                    <li class="jelect-option <?=$ordenacao=='order_ano_desc'?'jelect-option_state_active':''?>" onclick="setOrder('order_ano_desc')">Ano: Maior para o menor</li>
                    <li class="jelect-option <?=$ordenacao=='order_ano_asc'?'jelect-option_state_active':''?>" onclick="setOrder('order_ano_asc')">Ano: Menor para o maior</li>
                    <li class="jelect-option <?=$ordenacao=='mais_recentes'?'jelect-option_state_active':''?>" onclick="setOrder('mais_recentes')">Ordenar por Mais recentes</li>

                </ul>
            </div>
        </div>
    </div>
</div><!-- end sorting -->
