<footer class="footer wow bounceInUp" data-wow-duration="2s">
    <div class="wrap-section-border">
        <section class="section_mod-h section-bg section-bg_second">
            <div class="bg-inner border-section-top border-section-top_mod-b">
                <div class="container">
                    <div class="row">
                        <div class="col-xs-12 text-center">
                            <img alt="logo da empresa" src="<?php echo alt_get_url_logo(); ?>"
                                 class="logo-header-footer" alt="Logo da loja" width="250"/>
                        </div>
                        <!-- end col -->
                    </div>
                    <!-- end row -->
                    <?php if (is_active_sidebar('sidebar_footer')): ?>
                        <?php dynamic_sidebar('sidebar_footer'); ?>
                    <?php else: ?>
                        <?php
                        $arrInfo = get_info_principal(true);

                        ?>
                        <div class="row">
                            <div class="col-xs-12">
                                <?php if (!empty($arrInfo['endereco_completo'])): ?>
                                    <div class="footer__item">
                                        <span class="footer__name">Endereço.:</span>
                                        <span class="footer__text"><?= $arrInfo['endereco_completo'] ?></span>
                                    </div>
                                <?php endif; ?>
                                <?php if (!empty($arrInfo['telefone'])): ?>

                                    <?php
                                        $telefone = $arrInfo['telefone'] ?? $arrInfo['telefone'];
                                        $telefone = alt_mascara('(##)####-#####', $telefone);
                                    ?>
                                    <div class="footer__item">
                                        <span class="footer__name">Fone:</span>
                                        <span class="footer__text"><?= $telefone?></span>
                                    </div>
                                <?php endif; ?>
                                <?php if (!empty($arrInfo['whatsapp'])): ?>
                                    <div class="footer__item">
                                        <span class="footer__name">Whatsapp:</span>
                                        <span class="footer__text"><?= $arrInfo['whatsapp'] ?></span>
                                    </div>
                                <?php endif; ?>

                                <?php if (!empty($arrInfo['email'])): ?>
                                    <div class="footer__item">
                                        <span class="footer__name">Email:</span>
                                        <span class="footer__text"><?= $arrInfo['email'] ?></span>
                                    </div>
                                <?php endif; ?>

                            </div>
                        </div>
                    <?php endif; ?>


                    <!-- end row -->
                    <?php if (mostrar_icones_sociais_footer()): ?>
                        <div class="row">
                            <div class="col-xs-12">
                                <ul class="social-links list-inline">
                                    <?php if (!empty(get_social_links('facebook'))): ?>
                                        <li>
                                            <a class="icon fab fa-facebook" target="_blank"
                                               href="<?= get_social_links('facebook') ?>">

                                            </a>
                                        </li>
                                    <?php endif; ?>

                                    <?php if (!empty(get_social_links('twitter'))): ?>
                                        <li>
                                            <a class="icon fab fa-twitter" target="_blank"
                                               href="<?= get_social_links('twitter') ?>">

                                            </a>
                                        </li>
                                    <?php endif; ?>

                                    <?php if (!empty(get_social_links('linkedin'))): ?>
                                        <li>
                                            <a class="icon fab fa-linkedin" target="_blank"
                                               href="<?= get_social_links('linkedin') ?>">

                                            </a>
                                        </li>
                                    <?php endif; ?>


                                    <?php if (!empty(get_social_links('google'))): ?>
                                        <li>
                                            <a class="icon fab fa-google-plus-square" target="_blank"
                                               href="<?= get_social_links('google') ?>">

                                            </a>
                                        </li>
                                    <?php endif; ?>

                                    <?php if (!empty(get_social_links('instagram'))): ?>
                                        <li>
                                            <a class="icon fab fa-instagram" target="_blank"
                                               href="<?= get_social_links('instagram') ?>">

                                            </a>
                                        </li>
                                    <?php endif; ?>


                                    <?php if (!empty(get_social_links('youtube'))): ?>
                                        <li>
                                            <a class="icon fab fa-youtube-square" target="_blank"
                                               href="<?= get_social_links('youtube') ?>">

                                            </a>
                                        </li>
                                    <?php endif; ?>


                                </ul>


                                <p class="copy-right" style="color: #ffffff;margin-top: 100px;">
                                    Desenvolvido por <a target="_blank" href="https://www.altimus.com.br/"> <img
                                                src=" <?php echo get_template_directory_uri() . '/assets/images/logo-altimus.png'; ?>"/>
                                    </a>
                                </p>
                            </div>
                            <!-- end col -->
                        </div>
                        <!-- end row -->
                    <?php endif; ?>
                </div>
                <!-- end container -->
            </div>
            <!-- end bg-inner -->
        </section>
        <!-- end section_mod-b -->
    </div>


</footer>


</div>
<!-- end #wrapper -->

</div>
<!-- end layout-theme -->


<?php wp_footer(); ?>


<script>

    document.documentElement.style.setProperty('--primary_color', '<?php echo get_cor('cor_primaria');?>');
    document.documentElement.style.setProperty('--secundary_color', '<?php echo get_cor('cor_secundaria');?>');

    document.documentElement.style.setProperty('--color_top', '<?php echo get_cor('color_top');?>');
    document.documentElement.style.setProperty('--color_top_text', '<?php echo get_cor('color_top_text');?>');
    document.documentElement.style.setProperty('--color_background', '<?php echo get_cor('color_background');?>');

</script>


</body>
</html>

