<?php get_header(); ?>

<div class="block-title">
    <div class="block-title__inner section-bg section-bg_second">
        <div class="bg-inner">
            <h1 class="ui-title-page"><?php echo wp_title(); ?></h1>
            <div class="decor-1 center-block"></div>
            <ol class="breadcrumb">
                <li><a href="/">HOME</a></li>
                <li class="active"><?php echo wp_title(); ?></li>
            </ol>
        </div><!-- end bg-inner -->
    </div><!-- end block-title__inner -->
</div><!-- end block-title -->
<div class="container site">
        <div class="row">
            <div class="col-md-8">
                <main class="main-content">
                    <?php if (have_posts()): ?>
                        <div class="srow">
                            <?php while (have_posts()): the_post(); ?>

                                <?php get_template_part('parts/content', get_post_format()); ?>


                            <?php endwhile; ?>
                        </div>
                    <?php else: ?>
                        <div class="row">
                            <p>Nenhum post</p>
                        </div>
                    <?php endif; ?>






                    <?php
                    $arg['type'] = 'array';
                    $return = paginate_links($arg);


                    if (is_array($return)) {
                        $paged = (get_query_var('paged') == 0) ? 1 : get_query_var('paged');
                        echo '<ul class="pagination">';
                        foreach ($return as $page) {

                            $is_active = strpos($page, 'current');

                            $str = ($is_active) ? 'class="active"' : '';

                            echo "<li $str> $page</li>";
                        }
                        echo '</ul>';
                    }

                    ?>


                </main><!-- end main-content -->
            </div><!-- end col -->


            <div class="col-md-4">

                <aside class="sidebar sidebar-right">
                    <?php
                    if (is_active_sidebar('sidebar-right')) {
                        dynamic_sidebar('sidebar-right');
                    }
                    ?>
                </aside>


            </div><!-- end col -->
        </div><!-- end row -->
</div><!-- end container -->

<?php get_footer(); ?>
