<?php
if (!defined('ABSPATH')) {
    exit;
}

$arrPaginacao = $args['paginacao'];

?>
<?php if ($arrPaginacao['total'] > 1): ?>

    <div class="row">

        <div class="col-md-12 text-center">

            <nav class="woocommerce-pagination">
                <ul class="pagination">
                    <?php foreach (paginate_links($arrPaginacao) as $index => $link): ?>

                        <?php
                            $is_current = is_current_page($link);
                        ?>

                        <li class="<?= $is_current == 'current' ? 'active' : 'page' ?>">
                            <?= $link ?>
                        </li>

                    <?php endforeach; ?>
                </ul>
            </nav>
        </div>


    </div>

<?php endif; ?>

<?php
function is_current_page($paginas)
{

    $existe = strpos($paginas, 'current');

    if (empty($existe)) {
        return 'page';
    }
    return 'current';
}

